package rasmus_torkel.test.config;

import rasmus_torkel.config.ConfigFileReader;
import rasmus_torkel.config.PropertiesView;

public class PropertiesViewFromFileTester
{
    public static void
    test(String[] args,
         int      minConfigFileQty,
         int      maxConfigFileQty)
    {
        try
        {
            PropertiesView view = ConfigFileReader.propertiesViewFromArgs(args, minConfigFileQty, maxConfigFileQty);
            System.out.println(view.propertyQty() + " properties");
        }
        catch (Exception e)
        {
            System.out.println(e.toString());
        }
    }
    
    public static void
    main(String[] args)
    {
        test(args, 1, 1);
        test(args, 1, 2);
        test(args, 2, 3);
        test(args, 2, 4);
    }
}
