package rasmus_torkel.test.misc;

import rasmus_torkel.misc.CharUtil;
import rasmus_torkel.test_framework.UnitTest;

public class CharUtilTester extends UnitTest
{
    public static void
    main(String[] args)
    {
        for (int i = 0; i <= 0xFFFF; i++)
        {
            char ch = (char)i;
            boolean isWhiteSpace = Character.isWhitespace(ch);
            boolean isControl = Character.isISOControl(ch);
            char isWhiteSpaceChar = isWhiteSpace ? 'W' : '.';
            char isControlChar = isControl ? 'C' : '.';
            if (i <= 0x300 || isWhiteSpace || isControl)
            {
                System.out.println(i + "  x" + Integer.toString(i,16).toUpperCase() + "  " +
                ch + "  " + isWhiteSpaceChar + isControlChar + ":   " +
                CharUtil.unicodeCharToStringForMessage(ch));
            }
        }
        printEndTest();
        System.out.println("Joining a, b, c: " + CharUtil.join(new char[]{'a',  'b', 'c'}, ", "));
    }
}
