package rasmus_torkel.test.text.read;

import rasmus_torkel.text.read.PerlStyleInput;

public class PerlStyleInputStdinTester
{
    public static void
    main(String[] args)
    {
        PerlStyleInput input = new PerlStyleInput();
        System.out.println("Test with " + input);
        while (input.read())
        {
            if (input.matchF("^\\s*([A-Za-z ]*[A-Za-z])\\s+(\\d+)\\s*$"))
            {
                int groupCount = input.groupCount();
                String name = input.group(1);
                String year = input.group(2);
                System.out.println(groupCount + " groups, name is " + name + ", year is " + year);
            }
            else
            {
                System.out.println(input.messageForLine("Is not valid name and year"));
            }
        }
    }
}
