/*
 * Copyright Rasmus Torkel 2015
 * Author    Rasmus Torkel 2015
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.test.xml_basic;

import rasmus_torkel.test.xml_basic.oo.DifferentParametersTest;
import rasmus_torkel.test.xml_basic.oo.PersonNameDemo;
import rasmus_torkel.test.xml_basic.oo.inheritance.DisableInheritanceTest;
import rasmus_torkel.test.xml_basic.oo.inheritance.InheritanceChoiceTest;
import rasmus_torkel.test.xml_basic.oo.inheritance.TagIdInheritanceTest;
import rasmus_torkel.test.xml_basic.oo.inheritance.class_of_object.CompanyDemo;
import rasmus_torkel.test.xml_basic.oo.inheritance.class_of_object.EmployeeFactoryErrors;
import rasmus_torkel.test.xml_basic.read.impl.XmlReaderCloseTest;
import rasmus_torkel.test.xml_basic.read.impl.XmlReaderSuiteAllChars;
import rasmus_torkel.test.xml_basic.read.impl.XmlReaderSuiteChars;
import rasmus_torkel.test.xml_basic.read.impl.XmlReaderSuiteNameSpaces;
import rasmus_torkel.test.xml_basic.read.impl.XmlReaderSuiteNested;
import rasmus_torkel.test.xml_basic.read.impl.XmlReaderSuiteTypes;
import rasmus_torkel.test.xml_basic.tool.XmlComparerSuite;
import rasmus_torkel.test.xml_basic.tool.XmlReformatterSuite;
import rasmus_torkel.test.xml_basic.write.XmlWriteNameSpaceTest;
import rasmus_torkel.test.xml_basic.write.XmlWriteTest1;
import rasmus_torkel.test.xml_basic.write.XmlWriteTest2;
import rasmus_torkel.test.xml_basic.write.XmlWriteTestTypes;

public class XmlBasicAllAuto
{
    public static void
    main(String[] args)
    {
        XmlReaderSuiteNested.main(new String[]{});
        XmlReaderSuiteTypes.main(new String[]{});
        XmlReaderSuiteNameSpaces.main(new String[]{});
        XmlReaderSuiteChars.main(new String[]{});
        XmlReaderSuiteAllChars.main(new String[]{});
        XmlReaderCloseTest.main(new String[]{});
        XmlComparerSuite.main(new String[]{});
        XmlReformatterSuite.main(new String[]{});
        XmlWriteTest1.main(new String[]{});
        XmlWriteTest2.main(new String[]{});
        XmlWriteTestTypes.main(new String[]{});
        XmlWriteNameSpaceTest.main(new String[]{});
        PersonNameDemo.main(new String[]{});
        DifferentParametersTest.main(new String[]{});
        CompanyDemo.main(new String[]{});
        EmployeeFactoryErrors.main(new String[]{});
        TagIdInheritanceTest.main(new String[]{});
        InheritanceChoiceTest.main(new String[]{});
        DisableInheritanceTest.main(new String[]{});
        System.out.println("");
        System.out.println("All passed"); 
    }
}
