/*
 * Copyright Rasmus Torkel 2012
 * Author    Rasmus Torkel 2012
 * 
 * You may only use this software subject to the terms and conditions which either you or your
 * organisation would have downloaded with this software and which should have been placed
 * somewhere accessible to you. These conditions are likely to
 * -- allow you or your organisation to determine whether you or your organisation
 *    may use this software for free or not and if not how to pay and how much;
 * -- prohibit or restrict republishing of this software and transmission to other organisations,
 *    even related companies within the same group;
 * -- prohibit the renaming of this class and the containing package.
 *    
 * Neither you nor your organisation may modify this header. However, you or your organisation
 * may modify anything below this header. If so, you or your organisation must place a comment
 * to that effect immediately below this header.
 */
package rasmus_torkel.test.xml_basic.read.impl;

import rasmus_torkel.set.chars.DefinedCharSets;
import rasmus_torkel.test_framework.UnitTest;
import rasmus_torkel.xml_basic.read.XmlReadOptions;

public class XmlReaderSuite extends UnitTest
{
    public static final XmlReadOptions STRICT_READ_OPTIONS = new XmlReadOptions(true, true, DefinedCharSets.ENGLISH_KEYBOARD_GENERAL_TEXT);
    public static final XmlReadOptions ALLOW_EXTRA_TEXT = new XmlReadOptions(false, true, DefinedCharSets.ENGLISH_KEYBOARD_GENERAL_TEXT);
    public static final XmlReadOptions ALLOW_UNORDERED_ACCESS = new XmlReadOptions(true, false, DefinedCharSets.ENGLISH_KEYBOARD_GENERAL_TEXT);
}
