package rasmus_torkel.test.xml_basic.write;

import rasmus_torkel.test_framework.UnitTest;
import rasmus_torkel.test_framework.UnitTestError;
import rasmus_torkel.xml_basic.read.TagNode;
import rasmus_torkel.xml_basic.read.XmlReadOptions;
import rasmus_torkel.xml_basic.read.impl.XmlReader;
import rasmus_torkel.xml_basic.write.XmlSink;

public class XmlWriteTest extends UnitTest
{
    protected static void
    checkXmlSyntax(XmlSink xmlSink)
    {
        String xml = xmlSink.toString();
        System.out.println(xml);
        TagNode node = XmlReader.xmlStringToRoot(xml, "Unit test", XmlReadOptions.DEFAULT);
        try
        {
            node.readRest();
        }
        catch (Exception e)
        {
            e.printStackTrace();
            throw new UnitTestError(XmlWriteTest2.class);
        }
        finally
        {
            node.closeReader();
        }
    }
}
