package rasmus_torkel.test.xml_basic.oo.inheritance.class_of_object;

import rasmus_torkel.xml_basic.read.TagNode;
import rasmus_torkel.xml_basic.read.factory.MainXmlObjectFactory;
import rasmus_torkel.xml_basic.rw.TagNodeId;

public class ClassWithNonStaticFactory
{
    public static final TagNodeId NATURAL_TAG_NODE_ID = new TagNodeId("x");
    public final MainXmlObjectFactory<ClassWithNonStaticFactory> FROM_XML_FACTORY = new MainXmlObjectFactory<ClassWithNonStaticFactory>(NATURAL_TAG_NODE_ID)
    {
        @Override
        public ClassWithNonStaticFactory extractFromNode(TagNode node)
        {
            return null;
        }
    };
}
