package rasmus_torkel.test.xml_basic.oo.inheritance.class_of_object;

import rasmus_torkel.xml_basic.read.TagNode;
import rasmus_torkel.xml_basic.read.factory.MainXmlObjectFactory;
import rasmus_torkel.xml_basic.rw.TagNodeId;

public class ClassWithPrivateFactory
{
    public static final TagNodeId NATURAL_TAG_NODE_ID = new TagNodeId("x");

    @SuppressWarnings("unused")
    private static final MainXmlObjectFactory<ClassWithPrivateFactory> FROM_XML_FACTOTY = new MainXmlObjectFactory<ClassWithPrivateFactory>(NATURAL_TAG_NODE_ID)
    {
        @Override
        public ClassWithPrivateFactory
        extractFromNode(TagNode node)
        {
            return null;
        }
    };
}
